ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
SampledBackgroundData Struct Reference
Storm classes

Closure holding image data generated using samples drawn from the model. More...

Inheritance diagram for SampledBackgroundData:

List of all members.

## Public Member Functions
| SampledBackgroundData (const vector< vector< vector< double > > > &sample_intensities_without_spot_, const vector< vector< double > > &pixel_intensities_, const vector< ImageRef > pixels_, double mu_brightness_, double sigma_brightness_, double mu_blur_, double sigma_blur_, const Matrix< 3 > A_, const Vector< 3 > pi_, double variance_)
## Public Attributes
const vector< vector< vector < double > > > & | sample_intensities_without_spot
const vector< vector< double > > & | pixel_intensities
const vector< ImageRef > | pixels
double | mu_brightness
double | sigma_brightness
double | mu_blur
double | sigma_blur
const Matrix< 3 > | A
const Vector< 3 > | pi
double | variance
const vector< int > | O

## Detailed Description

Closure holding image data generated using samples drawn from the model.

NB this is used with one spot removed (i.e. set to dark). As a result, the data is treated as the background when considering that spot in isolation. See FitSpots for naming of variables.

Definition at line 503 of file multispot5.cc.

## Constructor & Destructor Documentation

SampledBackgroundData::SampledBackgroundData | ( | const vector< vector< vector< double > > > & | sample_intensities_without_spot_,
|  | const vector< vector< double > > & | pixel_intensities_,
|  | const vector< ImageRef > | pixels_,
|  | double | mu_brightness_,
|  | double | sigma_brightness_,
|  | double | mu_blur_,
|  | double | sigma_blur_,
|  | const Matrix< 3 > | A_,
|  | const Vector< 3 > | pi_,
|  | double | variance_
| ) |  | `[inline]`

Definition at line 516 of file multispot5.cc.

        :sample_intensities_without_spot(sample_intensities_without_spot_),
            pixel_intensities(pixel_intensities_),
            pixels(pixels_),
            mu_brightness(mu_brightness_),
            sigma_brightness(sigma_brightness_),
            mu_blur(mu_blur_),
            sigma_blur(sigma_blur_),
            A(A_),
            pi(pi_),
            variance(variance_),
            O(sequence(pixel_intensities.size()))
        {
        }

## Member Data Documentation

const vector<vector<vector<double> > >& SampledBackgroundData::sample_intensities_without_spot

Definition at line 505 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

const vector<vector<double> >& SampledBackgroundData::pixel_intensities

Definition at line 506 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

const vector<ImageRef> SampledBackgroundData::pixels

Definition at line 507 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

double SampledBackgroundData::mu_brightness

Definition at line 509 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

double SampledBackgroundData::sigma_brightness

Definition at line 509 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

double SampledBackgroundData::mu_blur

Definition at line 509 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

double SampledBackgroundData::sigma_blur

Definition at line 509 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

const Matrix<3> SampledBackgroundData::A

Definition at line 510 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

const Vector<3> SampledBackgroundData::pi

Definition at line 511 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

double SampledBackgroundData::variance

Definition at line 512 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

const vector<int> SampledBackgroundData::O

Definition at line 514 of file multispot5.cc.

Referenced by sampled_background_spot_hessian2(), sampled_background_spot_hessian_FAKE(), and sampled_background_spot_hessian_ffbs().

The documentation for this struct was generated from the following file:

- multispot5.cc